Subject: Re: bug#6717: tramp-dissect-file-name: Not a Tramp file name

From: Michael Albinus <[email-masked]>
Date: Mon, 26 Jul 2010 12:13:43 +0200

Andreas Schwab <[email-masked]> writes:

> Michael Albinus <[email-masked]> writes:
>
>> Andreas Schwab <[email-masked]> writes:
>>
>>> Michael Albinus <[email-masked]> writes:
>>>
>>>> Andreas Schwab <[email-masked]> writes:
>>>>
>>>>>>> IMHO this is the wrong place to fix that.  Instead file-name-directory
>>>>>>> should not be called on the local part in the first place, or at least
>>>>>>> *all* file name handlers should be suppressed around the call.
>>>>>>
>>>>>> I thought about that. But I'm not sure, whether we shall disable
>>>>>> jka-compr, for example. What happens, if the URL is something like
>>>>>> http://host.cc/path/file.gz ?
>>>>>
>>>>> Nothing special.  Why should it?  It's not a file name, it is a URL.
>>>>
>>>> Maybe. But at least `url-file-handler' must be kept, it treats the URL
>>>> as a file name.
>>>
>>> Why? There is no url-file-name-directory.
>>
>> Indeed. But you don't know, which other primitive functions are called,
>> requesting a url-* handler.
>
> ??? We are talking about file-name-directory.

I believe, such a mis-handling of the URL file name part can happen
somewhere else as well. So a more general solution might be useful.

For the concrete location of my patch you might be right. Let-bind of
file-name-handler-alist to nil should do the job as well.

> Andreas.

Best regards, Michael.